
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Vue项目中使用vw实现移动端适配 / 憋错料</title>

    <meta name="description" content="Vue项目中使用vw实现移动端适配 我们在vue移动端项目中的适配一般都采用rem,但是rem也不是能兼容所有的终端. 随着viewport单位越来越受到众多浏览器的支持,下面将简单介绍怎么实现vw的兼容问题,用vw代替rem 当我们采用vue-cli脚手架搭建完项目,安装所有依赖包之后,用npm run dev启动后,在根目录有一个 .postcssrc.js 文件,文件结构如下: vue-cli默认已经安装以上三个插件: postcss-import:相关配置可以点击这里.主要功有是解决@import引入路径问题.使用这个插件">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">Vue项目中使用vw实现移动端适配</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>我们在vue移动端项目中的适配一般都采用rem，但是rem也不是能兼容所有的终端。</p>
<p>随着<code>viewport</code>单位越来越受到众多浏览器的支持，下面将简单介绍怎么实现vw的兼容问题，用vw代替rem</p>
<p>当我们采用vue-cli脚手架搭建完项目，安装所有依赖包之后，用npm run dev启动后，在根目录有一个&nbsp;.postcssrc.js 文件，文件结构如下：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxOTA4LzIwMTkwODIzMTMxODMzOTIzMTk4LnBuZw==.jpg" /></p>
<p>vue-cli默认已经安装以上三个插件：</p>
<p>postcss-import：相关配置可以<a href="https://github.com/postcss/postcss-import" rel="external nofollow noreferrer">点击这里</a>。主要功有是解决<code>@import</code>引入路径问题。使用这个插件，可以让你很轻易的使用本地文件、<code>node_modules</code>或者<code>web_modules</code>的文件。这个插件配合<a href="https://github.com/postcss/postcss-url" rel="external nofollow noreferrer"><code>postcss-url</code></a>让你引入文件变得更轻松。</p>
<p>postcss-url：相关配置可以点击<a href="https://github.com/postcss/postcss-url" rel="external nofollow noreferrer">这里</a>。该插件主要用来处理文件，比如图片文件、字体文件等引用路径的处理。在Vue项目中，<a href="https://github.com/vuejs/vue-loader" rel="external nofollow noreferrer"><code>vue-loader</code></a>已具有类似的功能，只需要配置中将<code>vue-loader</code>配置进去。</p>
<p>autoprefixer：用来自动处理浏览器前缀的一个插件。如果你配置了<a href="https://github.com/MoOx/postcss-cssnext" rel="external nofollow noreferrer"><code>postcss-cssnext</code></a>，其中就已具备了<code>autoprefixer</code>的功能。在配置的时候，未显示的配置相关参数的话，表示使用的是<a href="https://github.com/ai/browserslist" rel="external nofollow noreferrer">Browserslist</a>指定的列表参数，你也可以像这样来指定<code>last 2 versions</code>&nbsp;或者&nbsp;<code>&gt; 5%</code>。</p>
<p>Vue-cli默认配置了上述三个PostCSS插件，但我们要完成<code>vw</code>的布局兼容方案，或者说让我们能更专心的撸码，还需要配置下面的几个PostCSS插件：</p>
<ul>
<li><a href="https://github.com/yisibl/postcss-aspect-ratio-mini" rel="external nofollow noreferrer">postcss-aspect-ratio-mini</a></li>
<li><a href="https://github.com/evrone/postcss-px-to-viewport" rel="external nofollow noreferrer">postcss-px-to-viewport</a></li>
<li><a href="https://github.com/jonathantneal/postcss-write-svg" rel="external nofollow noreferrer">postcss-write-svg</a></li>
<li><a href="https://github.com/MoOx/postcss-cssnext" rel="external nofollow noreferrer">postcss-cssnext</a></li>
<li><a href="https://github.com/ben-eb/cssnano" rel="external nofollow noreferrer">cssnano</a></li>
<li><a href="https://github.com/springuper/postcss-viewport-units" rel="external nofollow noreferrer">postcss-viewport-units</a></li>
</ul>
<p>然后我们安装</p>
<pre>npm i postcss-aspect-ratio-mini postcss-px-to-viewport postcss-write-svg postcss-cssnext postcss-viewport-units cssnano --save</pre>
<p>安装成功之后，在项目根目录下的<code>package.json</code>文件中，可以看到新安装的依赖包</p>
<p>接下来在<code>.postcssrc.js</code>文件对新安装的PostCSS插件进行配置：</p>
<pre>module.exports = {
  "plugins": {
    "postcss-import": {},
    "postcss-url": {},
    "postcss-aspect-ratio-mini": {},
    "postcss-write-svg": {
      utf8: false
    },
    "postcss-cssnext": {},
    "postcss-px-to-viewport": {
      viewportWidth: 750,   // 视窗的宽度，对应的是我们设计稿的宽度，一般是750
      viewportHeight: 1334, // 视窗的高度，根据750设备的宽度来指定，一般指定1334，也可以不配置
      unitPrecision: 3,     // 指定`px`转换为视窗单位值的小数位数
      viewportUnit: "vw",   //指定需要转换成的视窗单位，建议使用vw      selectorBlackList: [‘.ignore‘, ‘.hairlines‘],// 指定不转换为视窗单位的类，可以自定义，可以无限添加,建议定义一至两个通用的类名      minPixelValue: 1,     // 小于或等于`1px`不转换为视窗单位，你也可以设置为你想要的值      mediaQuery: false     // 允许在媒体查询中转换`px`    },</pre>
<pre><em>    "postcss-viewport-units": {},
    "cssnano": {
      preset: "advanced",
      autoprefixer: false,
      "postcss-zindex": false
    }
  }
}</em></pre>
<p>由于配置文件修改了，所以重新跑一下 npm run dev，然后项目就可以看到了。<br /><code></code></p>
<p>简单介绍上面几个插件的作用：</p>
<p>postcss-cssnext：其实就是<a href="https://cssnext.io/" rel="external nofollow noreferrer">cssnext</a>。该插件可以让我们使用CSS未来的特性，其会对这些特性做相关的兼容性处理。有关于<code>cssnext</code>的每个特性的操作文档，可以<a href="https://cssnext.io/features/#automatic-vendor-prefixes" rel="external nofollow noreferrer">点击这里浏览</a>。</p>
<p>cssnano：主要用来压缩和清理CSS代码。在Webpack中，<code>cssnano</code>和<a href="https://github.com/webpack-contrib/css-loader" rel="external nofollow noreferrer"><code>css-loader</code></a>捆绑在一起，所以不需要自己加载它。详细文档可以<a href="https://cssnano.co/guides/getting-started/" rel="external nofollow noreferrer">点击这里</a>获取。在<code>cssnano</code>的配置中，使用了<code>preset:&nbsp;</code><code>"advanced"</code>，所以我们需要另外安装：</p>
<pre>npm i cssnano-preset-advanced --save-dev</pre>
<pre>"cssnano": {
   "autoprefixer": false,
   "postcss-zindex": false}</pre>
<p>上面的代码把<code>autoprefixer和<code>postcss-zindex</code>禁掉了。前者是有重复调用，后者是一个讨厌的东东。只要启用了这个插件，<code>z-index</code>的值就会重置为<code>1</code>。这是一个天坑，<strong>千万记得将<code>postcss-zindex</code>设置为<code>false</code></strong>。</code></p>
<p>postcss-px-to-viewport：要用来把<code>px</code>单位转换为<code>vw</code>、<code>vh</code>、<code>vmi</code><code>n</code>或者<code>vmax</code>这样的视窗单位，也是<a href="https://www.atatech.org/articles/87388" rel="external nofollow noreferrer"><code>vw</code>适配方案</a>的核心插件之一。在配置中需要配置相关的几个关键参数：</p>
<pre>"postcss-px-to-viewport": {
  viewportWidth: 750,   // 视窗的宽度，对应的是我们设计稿的宽度，一般是750 （如果我们设置的宽度是300px，那么编译之后的宽度为(300/750*100)=40vw,如果频宽实际为375px，那么该元素的宽度为（375*0.4）= 150px）
  viewportHeight: 1334, // 视窗的高度，根据750设备的宽度来指定，一般指定1334，也可以不配置
  unitPrecision: 3,     // 指定`px`转换为视窗单位值的小数位数（很多时候无法整除）
  viewportUnit: "vw",   // 指定需要转换成的视窗单位，建议使用vw
  selectorBlackList: [‘.ignore‘, ‘.hairlines‘],// 指定不转换为视窗单位的类，可以自定义，可以无限添加,建议定义一至两个通用的类名
  minPixelValue: 1,     // 小于或等于`1px`不转换为视窗单位，你也可以设置为你想要的值
  mediaQuery: false     // 允许在媒体查询中转换`px`
},</pre>
<p>postcss-aspect-ratio-mini：主要用来处理元素容器宽高比。</p>
<p>postcss-write-svg：插件主要用来处理移动端<code>1px</code>的解决方案。该插件主要使用的是<code>border-image</code>和<code>background</code>来做<code>1px</code>的相关处理。</p>
<p>5、伪类 + transform 实现</p>
<p>　　个人认为伪类+transform是比较完美的方法。利用 :before 或者 :after 实现 border ，并 transform 的 scale 缩小一半，将border 绝对定位。</p>
<p>单条border样式设置：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL2ltZzMubXVrZXdhbmcuY29tLzViNTQ4YzJhMDAwMTUxZTQwMDIwMDAyMC5qcGc=.jpg" /></p>
<pre>.scale-1px{
&nbsp;&nbsp;position:&nbsp;relative;
&nbsp;&nbsp;border:none;
}.scale-1px:after{
&nbsp;&nbsp;content:&nbsp;‘‘;
&nbsp;&nbsp;position:&nbsp;absolute;
&nbsp;&nbsp;bottom:&nbsp;0;
&nbsp;&nbsp;background:&nbsp;#000;
&nbsp;&nbsp;width:&nbsp;100%;
&nbsp;&nbsp;height:&nbsp;1px;
&nbsp;&nbsp;-webkit-transform:&nbsp;scaleY(0.5);
&nbsp;&nbsp;transform:&nbsp;scaleY(0.5);
&nbsp;&nbsp;-webkit-transform-origin:&nbsp;0&nbsp;0;
&nbsp;&nbsp;transform-origin:&nbsp;0&nbsp;0;
}</pre>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL2ltZzMubXVrZXdhbmcuY29tLzViNTQ4YzJhMDAwMTUxZTQwMDIwMDAyMC5qcGc=.jpg" /></p>
<p>4条border的实现：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL2ltZzMubXVrZXdhbmcuY29tLzViNTQ4YzJhMDAwMTUxZTQwMDIwMDAyMC5qcGc=.jpg" /></p>
<pre>.scale-1px{
&nbsp;&nbsp;position:&nbsp;relative;
&nbsp;&nbsp;margin-bottom:&nbsp;20px;
&nbsp;&nbsp;border:none;
}.scale-1px:after{
&nbsp;&nbsp;content:&nbsp;‘‘;
&nbsp;&nbsp;position:&nbsp;absolute;
&nbsp;&nbsp;top:&nbsp;0;
&nbsp;&nbsp;left:&nbsp;0;
&nbsp;&nbsp;border:&nbsp;1px&nbsp;solid&nbsp;#000;
&nbsp;&nbsp;-webkit-box-sizing:&nbsp;border-box;
&nbsp;&nbsp;box-sizing:&nbsp;border-box;
&nbsp;&nbsp;width:&nbsp;200%;
&nbsp;&nbsp;height:&nbsp;200%;
&nbsp;&nbsp;-webkit-transform:&nbsp;scale(0.5);
&nbsp;&nbsp;transform:&nbsp;scale(0.5);
&nbsp;&nbsp;-webkit-transform-origin:&nbsp;left&nbsp;top;
&nbsp;&nbsp;transform-origin:&nbsp;left&nbsp;top;
}或者：
.scale-1px:after{
&nbsp;&nbsp;&nbsp;&nbsp;content:‘‘;
&nbsp;&nbsp;&nbsp;&nbsp;position:absolute;
&nbsp;&nbsp;&nbsp;&nbsp;border:1px&nbsp;solid&nbsp;#000;
&nbsp;&nbsp;&nbsp;&nbsp;top:-50%;
&nbsp;&nbsp;&nbsp;&nbsp;right:-50%;
&nbsp;&nbsp;&nbsp;&nbsp;bottom:-50%;
&nbsp;&nbsp;&nbsp;&nbsp;left:-50%;
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-webkit-transform:scale(0.5);
&nbsp;&nbsp;&nbsp;&nbsp;transform:scale(0.5);
}</pre>

<p>原文地址：https://www.cnblogs.com/ginkgo-leaves/p/11399351.html</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-09 00:29:35 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/code/" title="code">code</a>, <a href="https://www.biecuoliao.com/tag/org/" title="org">org</a>, <a href="https://www.biecuoliao.com/tag/index/" title="index">index</a>, <a href="https://www.biecuoliao.com/tag/box/" title="box">box</a>, <a href="https://www.biecuoliao.com/tag/prefix/" title="prefix">prefix</a>, <a href="https://www.biecuoliao.com/tag/vue-cli/" title="vue-cli">vue-cli</a>, <a href="https://www.biecuoliao.com/tag/precision/" title="precision">precision</a>, <a href="https://www.biecuoliao.com/tag/orb/" title="orb">orb</a>, <a href="https://www.biecuoliao.com/tag/%e6%8d%86%e7%bb%91/" title="捆绑">捆绑</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>Vue项目中使用vw实现移动端适配的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4Q9ZLl4.html" rel="bookmark">如何在Vue项目中使用vw实现移动端适配</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				https://www.w3cplus.com/mobile/vw-layout-in-vue.html  原文网址 如何在Vue项目中使用vw实现移动端适配 作者:大漠 日期:2018-01-25 点击:10362 vw Layout 布局 Vue mobile 编辑推荐:使用 Coding.net 搭建静态博客,自定义域名,全站 HTTPS 加密,自动实时部署, 立即托管您的网站! 有关于移动端的适配布局一直以来都是众说纷纭,对应的解决方案也是有很多种.在&lt;使用Flexible实现手淘H5页			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0dvV294.html" rel="bookmark">转：如何在Vue项目中使用vw实现移动端适配</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				https://www.w3cplus.com/mobile/vw-layout-in-vue.html 有关于移动端的适配布局一直以来都是众说纷纭,对应的解决方案也是有很多种.在&lt;使用Flexible实现手淘H5页面的终端适配&gt;提出了Flexible的布局方案,随着viewport单位越来越受到众多浏览器的支持,因此在&lt;再聊移动端页面的适配&gt;一文中提出了vw来做移动端的适配问题.到目前为止不管是哪一种方案,都还存在一定的缺陷.言外之意,还没有哪一个方案是完美的. 事实上真的不完美			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MWVw5k4.html" rel="bookmark">Vue 项目中使用 jsPlumb</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				jsPlumb 介绍 jsPlumb 是一个强大的 JavaScript 连线库,它可以将 html中 的元素用箭头.曲线.直线等连接起来,适用于开发 Web 上的图表.建模工具.流程图.关系图等. jsPlumb 参考网站 博客园:http://www.cnblogs.com/leomYili/p/6346526.html?utm_source=itdadao&amp;utm_medium=referral 官网:https://www.jsplumbtoolkit.com/ 安装 jsPlumb v			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0n2oKK0.html" rel="bookmark">vue项目中使用阿里iconfont图标</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在上一篇文章中介绍了如何在vue项目中使用vue-awesome,如果你想了解,请移步&lt;vue项目中使用vue-awesome&gt; 这里介绍一下vue项目中如何使用阿里的iconfont图标库,先看一下官网 可以看到有将近两百万的图标量,可以说我们想要的矢量图图标这里大部分都是有的,下面直接开始如何在vue项目中使用,方法有两种 方法一:简单粗暴法 1.打开 iconFont官网 选择自己喜欢的图标,并且添加购物车 例如我现在选择三个图标 点击购物车,添加至项目 为了方便可以给项目起一个名字 选			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0e2Za53.html" rel="bookmark">在vue项目中 如何定义全局变量 全局函数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如题,在项目中,经常有些函数和变量是需要复用,比如说网站服务器地址,从后台拿到的:用户的登录token,用户的地址信息等,这时候就需要设置一波全局变量和全局函数 定义全局变量 原理: 设置一个专用的的全局变量模块文件,模块里面定义一些变量初始状态,用export default 暴露出去,在main.js里面使用Vue.prototype挂载到vue实例上面或者在其它地方需要使用时,引入该模块便可. 全局变量模块文件: Global.vue文件: &lt;script&gt; const serverSr			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4QZA2oM.html" rel="bookmark">前端框架Vue&period;js&mdash;&mdash;vue-i18n ，vue项目中如何实现国际化</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				每天学习一点点 编程PDF电子书.视频教程免费下载:http://www.shitanlife.com/code 一.前言 趁着10月的最后一天,来写一篇关于前端国际化的实践型博客.国际化应该都不陌生,就是一个网站.应用可以实现语言的切换. 在这就不谈原理,只说说如何实现中英文的切换.做技术的总得先把 demo 做出来嘛. 二.demo 场景需求分析 需求很简单,左上角 ''网易云音乐''就是一个中英文切换的按钮,点击弹出提示框,确认切换语言后,实现英文版本. 切换成英文版本: 三.实现国际化			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4JoPjAM.html" rel="bookmark">Vue项目中遇到的一些问题总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.开发环境使用Ajax请求,报错 网上查的资料,在config中的index.js这样设置 proxyTable:{ '/api':{ target:'', //此处为你的API接口地址 changeOrigin:true, pathRewrite:{ '^/api':'' //这里理解为用api代替target中的地址 } } } 配置完后,请求依然报错,大致是https证书的问题 [HPM] Error occured while trying to proxy request /xxx/			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/41KqqO0.html" rel="bookmark">如何在Vue项目中使用Typescript</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				0.前言 本快速入门指南将会教你如何在Vue项目中使用TypeScript进行开发.本指南非常灵活,它可以将TypeScript集成到现有的Vue项目中任何一个阶段. 1.初始化项目 首先,创建一个新的项目目录. mkdir typescript-vue-tutorial cd typescript-vue-tutorial 接着,在目录中创建如下目录结构. typescript-vue-tutorial/ ├─ dist/ └─ src/ └─ components/ TypeScript文件			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MBBrgjM.html" rel="bookmark">如何在Vue项目中给路由跳转加上进度条</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.前言 在平常浏览网页时,我们会注意到在有的网站中,当点击页面中的链接进行路由跳转时,页面顶部会有一个进度条,用来标示页面跳转的进度(如下图所示).虽然实际用处不大,但是对用户来说,有个进度条会大大减轻用户的等待压力,提升用户体验.本篇文章就来教你如何在Vue项目中实现这样的进度条. 2.安装Nprogress 虽然我们也可以自己手动实现这样的功能,但是,nprogress.js已经帮我们把进度条的样式呀,功能呀都已经封装的很好了,既然有现成的轮子,我们就直接使用轮子就好啦! npm inst			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/g41gAG0.html" rel="bookmark" class="title">ansible自动化部署之第三方模块添加（时间计时模块）</a>
					<div>
						一.时间计时模块 ansible中可以加入一个计时模块在执行ansible-playbook时显示执行时长.方便使用. 1.配置方法 cd /etc/ansible mkdir callback_pl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/V0bvDw0.html" rel="bookmark" class="title">面向对象编程&lpar;OOP&rpar;</a>
					<div>
						//鸟类 public class Bird { //属性 成员变量 //颜色 String Color; //重量 double weigt; //行为 方法 //飞 void - 没有返回值 vo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmlVDP4.html" rel="bookmark" class="title">在子线程中使用Toast</a>
					<div>
						网上找了好久,大部分的解决办法是:在Toast前面和后面分别加Looper.prepare();与Looper.loop(); ,但是这种方法的不足之处是代码运行到此处时就不往下运行了,格式及用法如下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bYnJoM.html" rel="bookmark" class="title">Java凝视Override、Deprecated、SuppressWarnings具体解释</a>
					<div>
						一.什么是凝视 说起凝视,得先提一提什么是元数据(metadata).所谓元数据就是数据的数据.也就是说,元数据是描写叙述数据的.就象数据表中的字段一样,每一个字段描写叙述了这个字段下的数据的含义.而 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyK5VL3.html" rel="bookmark" class="title">二十年智能产品经验为中国的新一代高铁项目服务 - 辰汉签约中航长风</a>
					<div>
						2016年11月15日,辰汉与中航工业集团长风科技正式签约,成为战略性长期合作伙伴.此次与中航长风的签约标志着辰汉在轨道交通领域的市场开拓又迈上了一个新的台阶.双方将以此为契机,开展全方位合作,实现真 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0l5Wmb3.html" rel="bookmark" class="title">软件需求模式阅读笔记02</a>
					<div>
						今天我开始阅读&lt;软件需求模式&gt;这本书的第3,4章,以下是从这本书中获得的一些知识. 其中第3章描述了需求模式扮演的角色,解释了每个模式的一些具体内容和具体结构.而第4章则介绍了何时以及如何 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBaJ8g4.html" rel="bookmark" class="title">COGS2085 Asm&period;Def的一秒</a>
					<div>
						时间限制:1 s   内存限制:256 MB [题目描述] “你们搞的这个导弹啊,excited!” Asm.Def通过数据链发送了算出的疑似目标位置,几分钟后,成群结队的巡航导弹从“无蛤”号头顶掠过 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0leXEN3.html" rel="bookmark" class="title">延氏役彰媚n77uniw374z98</a>
					<div>
						&quot;团结个屁,你害我受罚,你说怎么办吧.&quot;王冬一脸怒气的说道,&quot;还有,你昨晚睡了我的床,又怎么办?&quot;王冬吃的道:&quot;你的灵魂冲击什么时候变得这么厉害了?& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41ogxG0.html" rel="bookmark" class="title">Day20160425</a>
					<div>
						技术要求: 1.git使用 pull.push.cheakout.master.clone(本地提交有优势) 2.Maven(依赖init.install.compile.package.clean. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rZebl3.html" rel="bookmark" class="title">fkgjlkjhkfs金利科技刚开始的风格</a>
					<div>
						http://www.zhihu.com/people/zhu-hai-zhao-ji-po-xin-xi/asks http://www.zhihu.com/people/zhu-hai-zhao- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MERWKR0.html" rel="bookmark" class="title">用C&plus;&plus;实现从键盘输入两个数a和b，求两数中的最大值</a>
					<div>
						程序如下: #include&lt;iostream&gt; using namespace std; int main() { int max(int x,int y);   //对max函数作声明 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXvyjw3.html" rel="bookmark" class="title">错误和异常&lpar;1&rpar;</a>
					<div>
						错误 语法错误(syntax errors) &gt;&gt;&gt; for i in range(10) File &quot;&lt;stdin&gt;&quot;, line 1 for i  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0ekrAD4.html" rel="bookmark" class="title">Vue&period;js&amp;mdash&semi;&amp;mdash&semi;vue-router 60分钟快速入门</a>
					<div>
						概述 vue-router是Vue.js官方的路由插件,它和vue.js是深度集成的,适合用于构建单页面应用.vue的单页面应用是基于路由和组件的,路由用于设定访问路径,并将路径和组件映射起来.传统的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Qjz5wM.html" rel="bookmark" class="title">7&period;21  vS2013快捷键</a>
					<div>
						1.回到上一个光标位置/前进到下一个光标位置  1)回到上一个光标位置:使用组合键&quot;Ctrl + -&quot;: 2)前进到下一个光标位置:&quot;Ctrl + Shift + - & ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xa15Q3.html" rel="bookmark" class="title">python之路-day1-while循环</a>
					<div>
						while Thue: (条件为真无限循环)  break(跳出循环) 猜年龄: #Author:zwwage_of_jay = 40count = 0while count &lt; 3: gues ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/351jAX3.html" rel="bookmark" class="title">第5次</a>
					<div>
						教材page 44: 3-9.没有冗余度的信源还能不能压缩?为什么?    我的答案:不能无损压缩,可以有损压缩. 理由:信源的冗余度是信源所含信息量与符号所能携带的最大信息量之间差别的度量.而数据压 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OyxDPM.html" rel="bookmark" class="title">Dijkstra算法和其邻接矩阵实现</a>
					<div>
						Dijkstra算法:求定点到各顶点的最短路. step 0:置  S&lt;-{1},   T&lt;-{2,3,4...n},   u1&lt;-0,对一切j属于T, uj&lt;-bij ; 记 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qOxLzM.html" rel="bookmark" class="title">UVALIVE 6450 Social Advertising</a>
					<div>
						You have decided to start up a new social networking company. Other existing popular social networks ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pD5gy4.html" rel="bookmark" class="title">leaflet入门（三）使用GeoJSON创建矢量图形</a>
					<div>
						点对象: function g(feature, layer) { // does this feature have a property named popupContent? if (featu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0K1zlY4.html" rel="bookmark" class="title">单片机的串口通信</a>
					<div>
						单片机串行口通信有4种不同的方式: 方式0:移位寄存器输入/输出方式:波特率:fosc/12; 方式1:10位UART(通用异步接口电路),一帧数据的格式为:1位起始位,8位数据位,1位停止位.其波特 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.037 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
